'From Squeak3.7 of ''4 September 2004'' [latest update: #5989] on 28 April 2008 at 10:37:16 pm'!

!CompositeLW methodsFor: 'drawing' stamp: 'jmv 3/30/2008 21:34'!
fullDrawOn: aCanvas
	"Draw the full Morphic structure on the given Canvas"
	
	self visible ifFalse: [^ self].
	(aCanvas isVisible: self fullBounds) ifFalse:[^self].
	
	self isKnownFailing ifTrue: [^self drawErrorOn: aCanvas].
	
	aCanvas drawMorph: self.
	self drawSubmorphsOn: aCanvas! !


!CompositeMorph methodsFor: 'drawing' stamp: 'jmv 11/7/2007 22:49'!
fullDrawOn: aCanvas
	"Draw the full Morphic structure on the given Canvas"
	
| c |
self revisar.
	self visible ifFalse: [^ self].
	(aCanvas isVisible: self fullBounds) ifFalse:[^self].
	
	self isKnownFailing ifTrue: [^self drawErrorOn: aCanvas].

	c _ aCanvas isMorphicCanvas ifTrue: [aCanvas] ifFalse: [aCanvas asMorphicCanvas].
	c drawMorph: self.
	self drawSubmorphsOn: c! !


!LightWidget methodsFor: 'drawing' stamp: 'jmv 3/21/2008 08:49'!
fullDrawOn: aCanvas
	"Draw the full Morphic structure on the given Canvas"
	
	self visible ifFalse: [^ self].
	(aCanvas isVisible: self fullBounds) ifFalse:[^self].
	
	self isKnownFailing ifTrue: [^self drawErrorOn: aCanvas].

	aCanvas drawMorph: self! !


!Morph methodsFor: 'drawing' stamp: 'jmv 11/7/2007 23:03'!
fullDrawOn: aCanvas
	"Draw the full Morphic structure on the given Canvas"
	
| c |
self revisar.
	self visible ifFalse: [^ self].
	(aCanvas isVisible: self fullBounds) ifFalse:[^self].
	
	self isKnownFailing ifTrue: [^self drawErrorOn: aCanvas].

	c _ aCanvas isMorphicCanvas ifTrue: [aCanvas] ifFalse: [aCanvas asMorphicCanvas].
	c drawMorph: self! !


!OldMorph methodsFor: 'drawing' stamp: 'jmv 11/5/2007 23:03'!
fullDrawOn: aCanvas
	"Draw the full Morphic structure on the given Canvas"

	self visible ifFalse: [^ self].
	(aCanvas isVisible: self fullBounds) ifFalse:[^self].
	self isKnownFailing ifTrue: [^self drawErrorOn: aCanvas].

	"Draw receiver itself"
	(aCanvas isVisible: self bounds) ifTrue:[aCanvas drawMorph: self].
	self drawSubmorphsOn: aCanvas.
	self drawDropHighlightOn: aCanvas.
	self drawMouseDownHighlightOn: aCanvas! !


!LightWidget methodsFor: 'drawing' stamp: 'jmv 4/28/2008 22:26'!
drawHighlightOn: aCanvas
	aCanvas drawHighlight: self bounds label: self printString ! !


!Morph methodsFor: 'drawing' stamp: 'jmv 4/28/2008 22:27'!
drawHighlightOn: aCanvas
	aCanvas drawHighlight: self bounds label: self printString ! !


!OldMorph methodsFor: 'drawing' stamp: 'jmv 4/28/2008 22:27'!
drawHighlightOn: aCanvas
	aCanvas drawHighlight: self bounds label: self printString ! !


!Canvas methodsFor: 'drawing-general' stamp: 'jmv 4/28/2008 22:27'!
fullDraw: anObject
	| f |
	anObject fullDrawOn: self.
	f _ ActiveHand navigationFocus.
	f == anObject ifTrue: [
		anObject drawHighlightOn: self ]! !


!MenuItemLW methodsFor: 'drawing' stamp: 'jmv 4/28/2008 22:31'!
drawHighlightOn: aCanvas
	"Nothing to do. This class does highlighting in #drawOn:"! !


!LightWidget methodsFor: 'testing' stamp: 'jmv 4/28/2008 22:32'!
hasNavigationFocus
	^ActiveHand navigationFocus == self! !


!MenuItemLW methodsFor: 'drawing' stamp: 'jmv 4/28/2008 22:34'!
drawOn: aCanvas
	| backColor foreColor |
	self hasNavigationFocus ifTrue: [
		backColor _ Color blue.
		foreColor _ Color white]
	ifFalse: [
		backColor _ Color lightBlue.
		foreColor _ Color blue].
	aCanvas fillRectangle: bounds color: backColor.
	aCanvas drawString: label at: bounds topLeft + (5@2) font: font color: foreColor! !

